Skip to content
GitLab
Menu
Projects
Groups
Snippets
Loading...
Help
Help
Support
Community forum
Keyboard shortcuts
?
Submit feedback
Contribute to GitLab
Sign in
Toggle navigation
Menu
Open sidebar
OpenDAS
vllm_cscc
Commits
3c776dce
Unverified
Commit
3c776dce
authored
Apr 17, 2025
by
Aaruni Aggarwal
Committed by
GitHub
Apr 17, 2025
Browse files
Adding vllm buildkite job for IBM Power (#16679)
Signed-off-by:
Aaruni Aggarwal
<
aaruniagg@gmail.com
>
parent
2cbd4d29
Changes
1
Show whitespace changes
Inline
Side-by-side
Showing
1 changed file
with
26 additions
and
2 deletions
+26
-2
.buildkite/scripts/hardware_ci/run-cpu-test-ppc64le.sh
.buildkite/scripts/hardware_ci/run-cpu-test-ppc64le.sh
+26
-2
No files found.
.buildkite/scripts/hardware_ci/run-cpu-test-ppc64le.sh
View file @
3c776dce
...
@@ -5,10 +5,34 @@
...
@@ -5,10 +5,34 @@
set
-ex
set
-ex
# Setup cleanup
# Setup cleanup
remove_docker_container
()
{
docker
rm
-f
cpu-test
||
true
;
docker
system prune
-f
;
}
remove_docker_container
()
{
podman
rm
-f
cpu-test
-ubi9-ppc
||
true
;
podman
system prune
-f
;
}
trap
remove_docker_container EXIT
trap
remove_docker_container EXIT
remove_docker_container
remove_docker_container
# Try building the docker image
# Try building the docker image
docker build
-t
cpu-test
-f
docker/Dockerfile.ppc64le
.
podman build
-t
cpu-test-ubi9-ppc
-f
docker/Dockerfile.ppc64le
.
# Run the image
podman run
-itd
--entrypoint
/bin/bash
-v
/tmp/:/root/.cache/huggingface
--privileged
=
true
--network
host
-e
HF_TOKEN
--name
cpu-test-ubi9-ppc cpu-test-ubi9-ppc
function
cpu_tests
()
{
# offline inference
podman
exec
cpu-test-ubi9-ppc bash
-c
"
set -e
python3 examples/offline_inference/basic/generate.py --model facebook/opt-125m"
# Run basic model test
podman
exec
cpu-test-ubi9-ppc bash
-c
"
set -e
pip install pytest pytest-asyncio einops peft Pillow soundfile transformers_stream_generator matplotlib
pip install sentence-transformers datamodel_code_generator
pytest -v -s tests/models/embedding/language/test_cls_models.py::test_classification_models[float-jason9693/Qwen2.5-1.5B-apeach]
pytest -v -s tests/models/embedding/language/test_embedding.py::test_models[half-BAAI/bge-base-en-v1.5]
pytest -v -s tests/models/encoder_decoder/language -m cpu_model"
}
# All of CPU tests are expected to be finished less than 40 mins.
export
-f
cpu_tests
timeout
40m bash
-c
cpu_tests
Write
Preview
Markdown
is supported
0%
Try again
or
attach a new file
.
Attach a file
Cancel
You are about to add
0
people
to the discussion. Proceed with caution.
Finish editing this message first!
Cancel
Please
register
or
sign in
to comment